import * as React from 'react';
import flatPicker from 'flatpickr';
import 'flatpickr/dist/flatpickr.min.css';
import "flatpickr/dist/l10n/ja";

export default class TimePicker extends React.Component {

  static defaultProps = {
    className: 'acms-admin-form-width-mini'
  }

  constructor(props) {
    super(props);
  }

  componentDidMount() {
    this.flatPicker = flatPicker(this.picker, {
      ...this.props,
      allowInput: true,
      locale: ACMS.i18n.lng,
      onChange: (date, str) => {
        this.props.onChange(str);
      }
    });
  }

  onInput(e) {
    this.flatPicker.jumpToDate(e.target.value);
    this.props.onChange(e.target.value);
  }

  render() {
    const { value, className, style } = this.props;
    return (<input value={value} style={style} onInput={this.onInput.bind(this)} type="text" className={className} ref={(picker) => {
      this.picker = picker;
    }} />)
  }
}